

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.33. logical_parameters &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.34. logical_range_filter" href="logical_range_filter.html" />
    <link rel="prev" title="7.3.32. logical_count" href="logical_count.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/logical_parameters.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="logical_range_filter.html" title="7.3.34. logical_range_filter"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="logical_count.html" title="7.3.32. logical_count"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.33. </span><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="logical-parameters">
<h1><span class="section-number">7.3.33. </span><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code><a class="headerlink" href="#logical-parameters" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.33.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 5.0.6.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code> is a command for test. Normally, you don’t need
to use this command.</p>
<p><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code> provides the following two features:</p>
<blockquote>
<div><ul class="simple">
<li><p>It returns the current parameters for <code class="docutils literal notranslate"><span class="pre">logical_*</span></code> commands.</p></li>
<li><p>It sets new parameters for <code class="docutils literal notranslate"><span class="pre">logical_*</span></code> commands.</p></li>
</ul>
</div></blockquote>
<p>Here is a list of parameters:</p>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="#logical-parameters-range-index"><span class="std std-ref">range_index</span></a></p></li>
</ul>
</div></blockquote>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>The parameters are independent in each thread. (To be exact, each
<a class="reference internal" href="../api/grn_ctx.html#c.grn_ctx" title="grn_ctx"><code class="xref c c-type docutils literal notranslate"><span class="pre">grn_ctx</span></code></a>.) If you want to control the parameters
perfectly, you should reduce the max number of threads to <code class="docutils literal notranslate"><span class="pre">1</span></code> by
<a class="reference internal" href="thread_limit.html"><span class="doc">thread_limit</span></a> while you’re using the
parameters.</p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.33.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes only one optional parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters [range_index=null]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.33.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>You need to register <code class="docutils literal notranslate"><span class="pre">sharding</span></code> plugin to use this command:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register sharding
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>You can get the all current parameter values by calling without
parameters:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;auto&quot;}]
</pre></div>
</div>
<p>You can set new values by calling with parameters:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index never
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;auto&quot;}]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code> returns the parameter values before new values
are set when you set new values.</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.33.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes parameters.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.33.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no required parameter.</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.33.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is one optional parameter.</p>
<div class="section" id="range-index">
<span id="logical-parameters-range-index"></span><h4><span class="section-number">7.3.33.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">range_index</span></code><a class="headerlink" href="#range-index" title="Permalink to this headline">¶</a></h4>
<p>Specifies how to use range index in <a class="reference internal" href="logical_range_filter.html"><span class="doc">logical_range_filter</span></a> by
keyword.</p>
<p>Here are available keywords:</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">auto</span></code> (default)</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">always</span></code></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">never</span></code></p></li>
</ul>
</div></blockquote>
<p>If <code class="docutils literal notranslate"><span class="pre">auto</span></code> is specified, range index is used only when it’ll be
efficient. This is the default value.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index auto
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;never&quot;}]
</pre></div>
</div>
<p>If <code class="docutils literal notranslate"><span class="pre">always</span></code> is specified, range index is always used. It’ll be
useful for testing a case that range index is used.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index always
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;auto&quot;}]
</pre></div>
</div>
<p>If <code class="docutils literal notranslate"><span class="pre">never</span></code> is specified, range index is never used. It’ll be useful
for testing a case that range index isn’t used.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_parameters --range_index never
# [[0, 1337566253.89858, 0.000355720520019531], {&quot;range_index&quot;: &quot;always&quot;}]
</pre></div>
</div>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.33.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The command returns the current parameters for <code class="docutils literal notranslate"><span class="pre">logical_*</span></code> command:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
  HEADER,
  {&quot;range_index&quot;: HOW_TO_USE_RANGE_INDEX}
]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HOW_TO_USE_RANGE_INDEX</span></code> value is one of the followings:</p>
<blockquote>
<div><ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">&quot;auto&quot;</span></code></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">&quot;always&quot;</span></code></p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">&quot;never&quot;</span></code></p></li>
</ul>
</div></blockquote>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.33. <code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.33.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.33.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.33.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.33.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.33.4.1. Required parameters</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.33.4.2. Optional parameters</a><ul>
<li><a class="reference internal" href="#range-index">7.3.33.4.2.1. <code class="docutils literal notranslate"><span class="pre">range_index</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.33.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="logical_count.html"
                        title="previous chapter"><span class="section-number">7.3.32. </span><code class="docutils literal notranslate"><span class="pre">logical_count</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="logical_range_filter.html"
                        title="next chapter"><span class="section-number">7.3.34. </span><code class="docutils literal notranslate"><span class="pre">logical_range_filter</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="logical_range_filter.html" title="7.3.34. logical_range_filter"
             >next</a> |</li>
        <li class="right" >
          <a href="logical_count.html" title="7.3.32. logical_count"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.33. </span><code class="docutils literal notranslate"><span class="pre">logical_parameters</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>